Kaspersky
Solved

Can Kaspersky Internet Security 2019 protect Amazon Fire? how to install? [Closed]

  • 4 December 2019
  • 4 replies
  • 6431 views

Badge

I have a license for Kaspersky Internet Security 2019 from my now defunct tablet. 

Question: 1) Can this be used to protect the Amazon Fire 8?

and if Yes how do I install it?

The Fire is Android but a customised version. The Kaspersky available in the Amazon store says unavailable.

icon

Best answer by JoGUK 4 December 2019, 18:45

Hi . Unfortunately  there is no "about" under settings  on the Fire. Also Amazon has its own app store. I need to investigate if I can get access to Google play on the Fire. So I will see if I can get access somehow and go from there. Thanks for replying.  

View original

This topic has been closed for comments

4 replies

Userlevel 7
Badge +9

Hello  @JoGUK,

Welcome!

KISA has the following requirements: 

  • Operating system: 4.2-10.x or higher. 
  • Intel atom x86 or ARMv7 and higher platforms
  • Only be installed to the device's main memory.

Please tell us:

  1. Amazon Fire 8 operating system version & build? ( Check Settings, About )
  2. Provide all details of “customised version” please?
  3. Re “The Kaspersky available in the Amazon store says unavailable”, KIS application software is only available thru Google Play Store, have you tried installing the software from GPS? 

Please post back?

Thank you

Badge

Hi . Unfortunately  there is no "about" under settings  on the Fire. Also Amazon has its own app store. I need to investigate if I can get access to Google play on the Fire. So I will see if I can get access somehow and go from there. Thanks for replying.  

Badge

just for the record Amazon have advised the Fire 8 runs with “Fire OS 6.3.1.2 (NS6312/1857) - 2517057924” and the build is “Fire Tablet HD 8” . This is taken directly from their email. They say I can install “ by going to the Kaspersky website, login and follow instructions. “  However I’m not convinced this is the case. Thank you to Flood for replying to me.

 

 

 

 

 

Userlevel 7
Badge +9

Hello  @JoGUK,

You’re very welcome!

The Fire Opsys 6.3.1.2, meets compatibility requirements, so the only issue may be some (Amazon) firmware mods. 

Please do let me know if you can install KIS from Google Play Store? (that’s the authorised distribution source). 

Best regards